Debian Bug report logs - #648303
alien-arena: Please Build-Depend on libjpeg-dev only.

version graph

Package: src:alien-arena; Maintainer for src:alien-arena is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Thu, 10 Nov 2011 12:39:01 UTC

Severity: serious

Tags: patch

Found in version alien-arena/7.51-3

Fixed in version alien-arena/7.51-3.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#648303; Package src:alien-arena. (Thu, 10 Nov 2011 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 10 Nov 2011 12:39:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: alien-arena: Please Build-Depend on libjpeg-dev only.
Date: Thu, 10 Nov 2011 13:34:07 +0100
Source: alien-arena
Version: 7.40-2
Severity: serious

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hello the Debian Games Team,

As you know, we are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update alien-arena to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

I noticed that your package is "almost ready" (as it permits an alternative
Build-Depends on libjpeg-dev), but due to that, it will still pick
libjpeg62-dev first, which "blocks" the migration away from it.

I just test-rebuilt alien-arena with that alternative Build-Depends removed
and it compiled just fine.

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,

OdyX

- -- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOu8S9AAoJEIvPpx7KFjRVHeYL/j69ive5yRl2ZOinGeKDoZel
P/yaq7V1ZRSgchq72RFpZlphoAbsqAnTDsrD0uyeYpWJfSHEiD3YMHxjW9ebRoQY
hD1R80n5Ar0WBsvFr3BT99SxokCTFvpXKNSLTs8gVwpTALruMdvx4qd6rXkcBecA
nuAc7YjWh8GtgiWDHls8VHBemZZS+yBBUTnwakcWoWQzhOT3KtJ/HpCdXK2FfCHj
Id15y/dVen5E8IaM/kWVJAPOGEwb9CM3fCVIBxNxqTsRr2IPiIngoSHOj/r22GlD
5y1DHDdMepueOkavpN/di4jZvb8A0AiBIxbnQU4qSnBE3+RlLrGAv92da8HOPp4f
uk3loV9+ksTGDTNtDZ66/QZAVy8hd27zroiq0EYesViqIOL6vn14KzxF4Uhb/Kfr
dX+jyYfRl9pqKMITAVEcRQ1LdOBS4bg8xmaP+kbIqxfeBGwAf1vQFjmgsrxrxVRs
D6uwb1jzv1aNWEGa94HzKLjYVHFqfOA5PTYIk7tLOg==
=GR5E
-----END PGP SIGNATURE-----




Bug Marked as found in versions alien-arena/7.51-3. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 12:42:41 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions alien-arena/7.40-2. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 12:42:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#648303; Package src:alien-arena. (Mon, 21 Nov 2011 12:39:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 21 Nov 2011 12:39:28 GMT) Full text and rfc822 format available.

Message #14 received at 648303@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 648303@bugs.debian.org
Subject: alien-arena: diff for NMU version 7.51-3.1
Date: Mon, 21 Nov 2011 13:36:51 +0100
[Message part 1 (text/plain, inline)]
tags 648303 + patch
thanks

Dear maintainer,

I've prepared an NMU for alien-arena (versioned as 7.51-3.1). The diff
is attached to this message.

Regards.
[alien-arena-7.51-3.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Mon, 21 Nov 2011 12:39:41 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Mon, 21 Nov 2011 12:51:49 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Mon, 21 Nov 2011 12:52:02 GMT) Full text and rfc822 format available.

Message #21 received at 648303-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 648303-close@bugs.debian.org
Subject: Bug#648303: fixed in alien-arena 7.51-3.1
Date: Mon, 21 Nov 2011 12:49:10 +0000
Source: alien-arena
Source-Version: 7.51-3.1

We believe that the bug you reported is fixed in the latest version of
alien-arena, which is due to be installed in the Debian FTP archive:

alien-arena-server_7.51-3.1_amd64.deb
  to contrib/a/alien-arena/alien-arena-server_7.51-3.1_amd64.deb
alien-arena_7.51-3.1.debian.tar.gz
  to contrib/a/alien-arena/alien-arena_7.51-3.1.debian.tar.gz
alien-arena_7.51-3.1.dsc
  to contrib/a/alien-arena/alien-arena_7.51-3.1.dsc
alien-arena_7.51-3.1_amd64.deb
  to contrib/a/alien-arena/alien-arena_7.51-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648303@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated alien-arena package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 21 Nov 2011 09:59:28 +0100
Source: alien-arena
Binary: alien-arena alien-arena-server
Architecture: source amd64
Version: 7.51-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 alien-arena - Standalone 3D first person online deathmatch shooter
 alien-arena-server - Dedicated server for Alien Arena
Closes: 648303
Changes: 
 alien-arena (7.51-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Build-Depend on libjpeg-dev instead of libjpeg62-dev (Closes: #648303).
Checksums-Sha1: 
 794e72db09f0a6bce523827be7bc85b88b4b3b97 2191 alien-arena_7.51-3.1.dsc
 c670fcc5ab0e6f8933431cbe45bb8b64a1510141 19210 alien-arena_7.51-3.1.debian.tar.gz
 69a2452c7ab4d41c39dcdb3d488f9f0afb174efa 814602 alien-arena_7.51-3.1_amd64.deb
 d6813f71fe265b48be555deec6d801454b4b9eb9 261314 alien-arena-server_7.51-3.1_amd64.deb
Checksums-Sha256: 
 0d9a23da168cf6ce208d74e5bc513517a62765121c996385e3d736c18dfba5af 2191 alien-arena_7.51-3.1.dsc
 70b6119d18010cc886cf1db566215d40ddcf671f4a2a2a7b3899ea5687f9ee9d 19210 alien-arena_7.51-3.1.debian.tar.gz
 e413831a343088c0a12853efefdfe08195d0dde1d2ddaf03474ffc67f29c13e0 814602 alien-arena_7.51-3.1_amd64.deb
 50d19f9f2109eb3c154a7d20919b460955adcb6380c38711a9570b9b8aa6add2 261314 alien-arena-server_7.51-3.1_amd64.deb
Files: 
 8b784601211a1817a5475776fbf043d7 2191 contrib/games extra alien-arena_7.51-3.1.dsc
 d991735e7bbc847156b572e31356ef89 19210 contrib/games extra alien-arena_7.51-3.1.debian.tar.gz
 24bd4ef25694e9382a5403b82be6d4b1 814602 contrib/games extra alien-arena_7.51-3.1_amd64.deb
 8cccc1d0ceeeb731b30c5fa4fce0d72c 261314 contrib/games extra alien-arena-server_7.51-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOykWpAAoJEIvPpx7KFjRVO94L/2iSGjh8zG+JGznuWrCD9MoJ
61CnQDIDQXCw25FGbTM+N21CThDuEnQiVQUZJAgxLeNoeytP5w3+AsvdfdCqGYEF
Sf8ZPvFAN1HkbKAmGL8G0dC5r1GXPeZYizHylHUzI9d1DLM7dYWY5w1kwHkNCl4+
4KBo/6QFS+r1yDftjJNG2jWczxu6hCmSXwwpmza/664Xh/pJvyRgwi2U2T7u9Sj7
9CFEFhA3DMCernlV48a3SjOsmUfR3/krlkzsp1vobPTvGEDZgIbRr6KmZgLiqZe1
X8R5jN4Xo0O9ZeHURAibxGjaMr1KYVeURxDJjrWEJ3XaPp0vh7F9kNwdeIEsjmL6
PZpy5dHQzhwjaAT0mHQ6dIC0eSWylexuyMkKvtxDz8OEnRJOCcpP5vja2yZwDfrn
PpbaW/fb4c8aDvEihqijNLjUOKyzGAuLSCqlJfu3F5NgP47FEDzUYGaqBuLbSW81
stC37n4KwakcopDcmrBuJ2N5koeSjl1d05lcnSEcig==
=CAZN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:34:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:21:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.